import React from "react";
import {
    BrowserRouter,
    Switch,
    Redirect,
    Route
} from "react-router-dom";

import Navbar from "./components/Navbar";
import YearRoute from "./pages/YearRoute";
import Footer from "./components/Footer";

function App() {
    const years = [2023, 2024, 2025];
    return (
        <BrowserRouter>
            <div className="d-flex flex-column" style={{ minHeight: "100svh" }}>
                <div className="flex-grow-1">
                    <Navbar/>
                    <Switch>
                        <Route
                            path="/:year"
                            component={ YearRoute }
                        />
                        <Route path="/">
                            <Redirect to={ "/" + years[years.length - 1] }/>
                        </Route>
                    </Switch>
                </div>
                <Footer/>
            </div>
        </BrowserRouter>
    );
}

export default React.memo(App);
